aboutsummaryrefslogtreecommitdiff
path: root/dev
diff options
context:
space:
mode:
Diffstat (limited to 'dev')
-rw-r--r--dev/ci/ci-common.sh8
-rw-r--r--dev/ci/user-overlays/12650-SkySkimmer-rebuild-record.sh6
-rwxr-xr-xdev/tools/make-changelog.sh2
3 files changed, 12 insertions, 4 deletions
diff --git a/dev/ci/ci-common.sh b/dev/ci/ci-common.sh
index f0dbe485f7..c01bc57f72 100644
--- a/dev/ci/ci-common.sh
+++ b/dev/ci/ci-common.sh
@@ -37,17 +37,19 @@ export PATH="$COQBIN:$PATH"
# Coq's tools need an ending slash :S, we should fix them.
export COQBIN="$COQBIN/"
-ls "$COQBIN"
+ls -l "$COQBIN"
# Where we download and build external developments
CI_BUILD_DIR="$PWD/_build_ci"
+ls -l "$CI_BUILD_DIR" || true
+
+set +x
for overlay in "${ci_dir}"/user-overlays/*.sh; do
# shellcheck source=/dev/null
. "${overlay}"
done
-set +x
# shellcheck source=ci-basic-overlay.sh
. "${ci_dir}/ci-basic-overlay.sh"
set -x
@@ -84,7 +86,7 @@ git_download()
COMMIT="$REF"
fi
wget "$ARCHIVEURL/$COMMIT.tar.gz"
- tar xvfz "$COMMIT.tar.gz" --strip-components=1
+ tar xfz "$COMMIT.tar.gz" --strip-components=1
rm -f "$COMMIT.tar.gz"
fi
}
diff --git a/dev/ci/user-overlays/12650-SkySkimmer-rebuild-record.sh b/dev/ci/user-overlays/12650-SkySkimmer-rebuild-record.sh
new file mode 100644
index 0000000000..d4c67b03b5
--- /dev/null
+++ b/dev/ci/user-overlays/12650-SkySkimmer-rebuild-record.sh
@@ -0,0 +1,6 @@
+if [ "$CI_PULL_REQUEST" = "12650" ] || [ "$CI_BRANCH" = "rebuild-record" ]; then
+
+ elpi_CI_REF=rebuild-record
+ elpi_CI_GITURL=https://github.com/SkySkimmer/coq-elpi
+
+fi
diff --git a/dev/tools/make-changelog.sh b/dev/tools/make-changelog.sh
index de58527cca..413433ef41 100755
--- a/dev/tools/make-changelog.sh
+++ b/dev/tools/make-changelog.sh
@@ -28,7 +28,7 @@ esac
printf "Fixes? (space separated list of bug numbers)\n"
read -r fixes_list
-fixes_string="$(echo $fixes_list | sed 's/ /~ and /g; s,\([0-9]\+\),`#\1 <https://github.com/coq/coq/issues/\1>`_,g' | tr '~' '\n')"
+fixes_string="$(echo $fixes_list | sed 's/ /~ and /g; s,\([0-9][0-9]*\),`#\1 <https://github.com/coq/coq/issues/\1>`_,g' | tr '~' '\n')"
if [ ! -z "$fixes_string" ]; then fixes_string="$(printf '\n fixes %s,' "$fixes_string")"; fi
# shellcheck disable=SC2016